#!@KSH@
set -x

# Execute tests
case $1 in
  *.ti)
    ${TS_BUILD_DIRECTORY}/bin/stdout_err_tester "$1"
    exit $?
    ;;
  *.err)
    ${TS_BUILD_DIRECTORY}/bin/error_tester "$1"
    exit $?
    ;;
  *)
    ${TS_BUILD_DIRECTORY}/bin/execute_tester "$1"
    exit $?
    ;;
esac

# Done and passed
exit 0
